/*
 * sys_hal.h
 *
 *  Created on: 12.03.2017
 *      Author: pavel
 */

#ifndef SYS_HAL_H_
#define SYS_HAL_H_


/**
  * @brief
  */
void SYS_ReadFromFlash(uint8_t *data, uint32_t size, uint32_t baseAddress);

/**
  * @brief
  */
void SYS_WriteToFlash(uint8_t *data, uint32_t size, uint32_t crc);

/**
  * @brief  Очистка системного сектора настроек
  * @retval
  */
void SYS_EraseFlashSector(void);


#endif /* SYS_HAL_H_ */
